> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Close cards



## OpenAPI

````yaml /openapi.json patch /cards/close
openapi: 3.1.0
info:
  title: Finup Public API
  version: 1.0.0
  description: >-
    Client-facing Finup API reference generated from current public endpoint
    metadata.
servers:
  - url: https://api.finup.io/backend
    description: Production
security: []
tags:
  - name: Accounts
    description: Current account, account setup, and account capabilities.
  - name: Transactions
    description: Account transaction lists and aggregates.
  - name: Cards
    description: Card issuing, listing, funding, and status changes.
paths:
  /cards/close:
    patch:
      tags:
        - Cards
      summary: Close cards
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardIdsRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - result
                properties:
                  result:
                    $ref: '#/components/schemas/CardStatusChange'
        '401':
          description: Missing or invalid credentials
        '403':
          description: Insufficient permission for this operation
        '404':
          description: Resource not found
      security:
        - apiKeyAuth: []
components:
  schemas:
    CardIdsRequest:
      type: object
      required:
        - card_ids
      properties:
        card_ids:
          type: array
          items:
            type: string
          example:
            - 67c48f6fc8614632e0b338fc
    CardStatusChange:
      type: object
      properties:
        Changed cards:
          type: array
          items:
            type: string
          example:
            - 67c48f6fc8614632e0b338fc
        Unchanged cards due to inappropriate status:
          type: array
          items:
            type: string
          example:
            - 67c48f6fc8614632e0b558fc
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````